Create a video generation job
curl --request POST \
--url https://api.prismgateway.io/v1/video/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": "<string>",
"imageUrl": "<string>",
"imageUrls": [
"<string>"
],
"endImageUrl": "<string>",
"refVideoUrl": "<string>",
"refAudioUrl": "<string>",
"duration": 123,
"resolution": "<string>",
"aspectRatio": "<string>",
"cameraFixed": true,
"generateAudio": true,
"promptExtend": true,
"watermark": true,
"seed": 2147483647,
"size": "<string>"
}
'import requests
url = "https://api.prismgateway.io/v1/video/generations"
payload = {
"model": "<string>",
"prompt": "<string>",
"imageUrl": "<string>",
"imageUrls": ["<string>"],
"endImageUrl": "<string>",
"refVideoUrl": "<string>",
"refAudioUrl": "<string>",
"duration": 123,
"resolution": "<string>",
"aspectRatio": "<string>",
"cameraFixed": True,
"generateAudio": True,
"promptExtend": True,
"watermark": True,
"seed": 2147483647,
"size": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
prompt: '<string>',
imageUrl: '<string>',
imageUrls: ['<string>'],
endImageUrl: '<string>',
refVideoUrl: '<string>',
refAudioUrl: '<string>',
duration: 123,
resolution: '<string>',
aspectRatio: '<string>',
cameraFixed: true,
generateAudio: true,
promptExtend: true,
watermark: true,
seed: 2147483647,
size: '<string>'
})
};
fetch('https://api.prismgateway.io/v1/video/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"help_url": "<string>",
"allowed_models": [
"<string>"
]
}
}Video
Create a video generation job
POST
/
v1
/
video
/
generations
Create a video generation job
Authorizations
Prism API key beginning with sk-prism-
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
- Option 1
- Option 2
- Option 3
- Option 4
Required string length:
1 - 256Required string length:
1 - 4000Required string length:
1 - 4096Pattern:
^https://.+Required array length:
1 - 16 elementsRequired string length:
1 - 4096Pattern:
^https://.+Required string length:
1 - 4096Pattern:
^https://.+Required string length:
1 - 4096Pattern:
^https://.+Required string length:
1 - 4096Pattern:
^https://.+Minimum string length:
1Minimum string length:
1Required range:
-1 <= x <= 4294967295Response
Created asynchronous video job.
The response is of type object.
⌘I